Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.pool
Class BasePoolableObjectFactory

    java.lang.Object
      org.apache.commons.pool.BasePoolableObjectFactory

All Implemented Interfaces:
  PoolableObjectFactory

    public abstract class BasePoolableObjectFactory

extends Object
implements PoolableObjectFactory

A base implementation of `PoolableObjectFactory`.

All operations defined here are essentially no-op's.

Since:
  Pool 1.0
Version:
  $Revision: 965336 $ $Date: 2010-07-18 17:58:33 -0700 (Sun, 18 Jul 2010) $
Author:
  Rodney Waldhoff
See Also:
  `PoolableObjectFactory`, `BaseKeyedPoolableObjectFactory`

Constructor Summary
`BasePoolableObjectFactory()`

Method Summary
`void` | `activateObject(Object obj)` No-op.
`void` | `destroyObject(Object obj)` No-op.
`abstract Object` | `makeObject()` Creates an instance that can be served by the pool.
`void` | `passivateObject(Object obj)` No-op.
`boolean` | `validateObject(Object obj)` This implementation always returns `true`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasePoolableObjectFactory

    public BasePoolableObjectFactory()

Method Detail

### makeObject

    public abstract Object makeObject()
                               throws Exception

  Creates an instance that can be served by the pool. Instances returned from this method should be in the same state as if they had been `activated`. They will not be activated before being served by the pool.

  Specified by:
    `makeObject` in interface `PoolableObjectFactory`
  Returns:
    an instance that can be served by the pool.
  Throws:
    `Exception` - if there is a problem creating a new instance, this will be propagated to the code requesting an object.

### destroyObject

    public void destroyObject(Object obj)
                       throws Exception

  No-op.

  Specified by:
    `destroyObject` in interface `PoolableObjectFactory`
  Parameters:
    `obj` - ignored
  Throws:
    `Exception` - should be avoided as it may be swallowed by the pool implementation.
  See Also:
    `PoolableObjectFactory.validateObject(java.lang.Object)`, `ObjectPool.invalidateObject(java.lang.Object)`

### validateObject

    public boolean validateObject(Object obj)

  This implementation always returns `true`.

  Specified by:
    `validateObject` in interface `PoolableObjectFactory`
  Parameters:
    `obj` - ignored
  Returns:
    `true`

### activateObject

    public void activateObject(Object obj)
                        throws Exception

  No-op.

  Specified by:
    `activateObject` in interface `PoolableObjectFactory`
  Parameters:
    `obj` - ignored
  Throws:
    `Exception` - if there is a problem activating `obj`, this exception may be swallowed by the pool.
  See Also:
    `PoolableObjectFactory.destroyObject(java.lang.Object)`

### passivateObject

    public void passivateObject(Object obj)
                         throws Exception

  No-op.

  Specified by:
    `passivateObject` in interface `PoolableObjectFactory`
  Parameters:
    `obj` - ignored
  Throws:
    `Exception` - if there is a problem passivating `obj`, this exception may be swallowed by the pool.
  See Also:
    `PoolableObjectFactory.destroyObject(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.